%global commit c24865f0c57338bfb8ea6537fe2d39c78304d22c
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20220214

Name:           krokonf
Version:        0.0.1
Release:        7.git%{gitdate}%{?dist}
Summary:        A CROOK-5 operating system configuration editor.

License:        GPLv2
URL:            https://github.com/jakubfi/krokonf
Source0:        https://github.com/jakubfi/krokonf/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtbase-devel
BuildRequires:  libemcrk
BuildRequires:  libemcrk-devel
BuildRequires:  desktop-file-utils
Requires:       qt5-qtbase
Requires:       qt5-qtbase-gui
Requires:       libemcrk

%description
Krokonf is a CROOK-5 operating system configuration editor.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/translations
%{_datadir}/applications/krokonf.desktop
%{_datadir}/icons/hicolor/scalable/apps/krokonf.svg
%license COPYING

%changelog
* Mon Feb 14 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 0.0.1-7.git20220214
- add build actions

* Sat Feb 12 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 0.0.1-7.git20220212
- CMake updates
- add spacer for "System" tab contents

* Thu Feb 10 2022 Paweł Marciniak <sunwire+git@gmail.com> 0.0.1-6
- Upstream update - add desktop file

* Thu Feb 10 2022 Paweł Marciniak <sunwire+git@gmail.com> 0.0.1-5
- Upstream update - switch to cmake

* Sat Feb 5 2022 Paweł Marciniak <sunwire+git@gmail.com> 0.0.1-4
- Upstream update

* Sat Feb 5 2022 Paweł Marciniak <sunwire+git@gmail.com> 0.0.1-3
- Add a desktop and an icon file

* Sat Feb 5 2022 Paweł Marciniak <sunwire+git@gmail.com> 0.0.1-2
- Add nedded patches

* Sat Jan 15 2022 Paweł Marciniak <sunwire+git@gmail.com> 0.0.1-1
- The first release
